﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// 此例程设置采集卡模拟输出通道的上电默认值。
// 此例程适用型号：
// PCI-2253
// PCI-31xx

namespace ao_default_setting
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;

            // 打开设备
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // 设置 Ao 0 上电默认输出 1.28V
            rst = SetAoPowerOnValue(DevIndex, 0, (float)1.28);
            if (rst < 0) { return rst; }

            Console.WriteLine("Success.");

            // 关闭设备
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}
